{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-31.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kconfig-5.116.0-1.fc41",
        "store-results-to": "/tmp/tmppxmn8fts/kf5-kconfig-5.116.0-1.fc41.tar.xz",
        "time-created": "2024-07-03 13:43:32",
        "time-finished": "2024-07-03 13:46:00",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmppxmn8fts/kf5-kconfig-5.116.0-1.fc41.tar.xz' '--gcc-analyze' '/tmp/tmppxmn8fts/kf5-kconfig-5.116.0-1.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "54162f9e525a4b3f797a198c682114a09ab06738",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/src/gui/kstandardshortcut.cpp",
                    "line": 332,
                    "column": 6,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘KStandardShortcut::SaveOptions’ is deprecated: Since 5.39. No known users",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332 |     {SaveOptions, \"SaveOptions\", QT_TRANSLATE_NOOP3(\"KStandardShortcut\", \"Save Options\", \"@action\"), 0, 0, QList<QKeySequence>(), false, Category::Settings},",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/src/gui/kstandardshortcut.cpp",
                    "line": 10,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/src/gui/kstandardshortcut.h",
                    "line": 126,
                    "column": 5,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126 |     SaveOptions ///< @deprecated since 5.39",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ^~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  330|       {ShowStatusbar, \"ShowStatusbar\", QT_TRANSLATE_NOOP3(\"KStandardShortcut\", \"Show Statusbar\", \"@action\"), 0, 0, QList<QKeySequence>(), false, Category::View},",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  331|   #if KCONFIGGUI_BUILD_DEPRECATED_SINCE(5, 39)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332|->     {SaveOptions, \"SaveOptions\", QT_TRANSLATE_NOOP3(\"KStandardShortcut\", \"Save Options\", \"@action\"), 0, 0, QList<QKeySequence>(), false, Category::Settings},",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  333|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  334|       // dummy entry",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c68faffd764f3a0ce37225efd34f614507daccf7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile2'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 40,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e52384bbdae91d4d07554d9975c4f70fbacdef51",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile3'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 41,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile3'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "358a444994b483be1406de8632561bc0636216cd",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile4'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 42,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile4'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9daa57febf101dc5144a2f55d6d0ac7d3007d9eb",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile5'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 43,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.116.0-build/kconfig-5.116.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile5'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
